<?
/* This software is licensed through a BSD-style License.
http://www.opensource.org/licenses/bsd-license.php

Copyright (c) 2009 KaR]V[aN, http://karman.homelinux.net
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

Redistributions of source code must retain the above copyright notice,
this list of conditions and the following disclaimer.
Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
Neither the name of Jacob D. Cohen nor the names of his contributors
may be used to endorse or promote products derived from this software
without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/


require_once("config.php");

if(isset($_GET['p']) && isset($_GET['t'])) {
 $paste_id = $_GET['p'];
 $get_token = $_GET['t'];
 $ipAddr = $_SERVER["REMOTE_ADDR"];

 $my_token = sha1($paste_id . $ipAddr . SALT);

 if($get_token == $my_token && is_file(FOLDER . "/" . $paste_id . ".html")) {
  $file = FOLDER . "/" . $paste_id . ".html";
  unlink($file);
  echo "<html>
  <head>
  <script type=\"text/javascript\">
  <!--
  function delayer(){
      window.location = \"index.php\"
  }
  //-->
  </script>
  </head>
  <body onLoad=\"setTimeout('delayer()', 5000)\">
  <h3>Paste ID <b>$paste_id</b> deleted.</h3>
  <p>Redirecting you to the index...</p>
  
  </body>
  </html>";
 } else {
  echo "You can't delete this paste.";
 }
} else {
 header('Location: ' . "index.php");
}

// Directory cleaner for files older than X seconds, set in config.php
$path = FOLDER;
$limit_time_seconds = time() - LIMIT; 

// By Nitz
if (($dir = opendir($path)) !== false && TIME_LIMIT == 1) {
    while (($entry = readdir($dir)) !== false) {
        if (is_file($path . '/' . $entry)) {
            if(filemtime($path . '/' . $entry) < $limit_time_seconds) {
                unlink($path . '/' . $entry);
            } 
        }
    }
    closedir($dir);
}
?>
